Bug 1006907 - RHEVM-BACKEND - Adding floating cluster to a DC fails without an error
RHEVM-BACKEND - Adding floating cluster to a DC fails without an error
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Ravi Nori
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 09:32 EDT by Barak Dagan
Modified: 2016-02-10 14:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 02:58:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barak Dagan 2013-09-11 09:32:36 EDT
Description of problem:
From web admin portal, editing floating cluster to be part of a DC - seems to do nothing.
There is no event nor an Alert. In engine log the following line can be found:

WARN  [org.ovirt.engine.core.bll.UpdateVdsGroupCommand] (ajp-/127.0.0.1:8702-9) CanDoAction of action UpdateVdsGroup failed. Reasons:VAR
__TYPE__CLUSTER,VAR__ACTION__UPDATE,VDS_GROUP_CANNOT_UPDATE_VDS_UP

Version-Release number of selected component (if applicable):
is13

How reproducible:
100%

Steps to Reproduce:
1. Create DC + cluster + host
2. remove DC
3. Add a new DC
4. Edit cluster and select the new DC (or an existing old one)

Actual results:
Nothing Happens - Edit window doesn't closed.

Expected results:
Edit window is closed, and cluster is added to DC

Additional info:
Comment 1 Ravi Nori 2013-09-12 12:40:41 EDT
Hi Barak,

Works with latest upstream master, can you see if you can reproduce the issue with the latest build.
Comment 2 Barak Dagan 2013-09-15 02:58:08 EDT
Verified again on is14.

1) With active host - got popup : "Error while executing action: Cannot change Cluster.Trying to connect Cluster to Data Center with Hosts that are up."

2) Host in maintenance: cluster connected.

same in CLI.

Note You need to log in before you can comment on or make changes to this bug.